<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_Master_groupAdd, App_Web_sdad0uki" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <script language="javascript" type="text/javascript">
        function checkSpecial(para) {
            if (para == 'Yes') {
                para = 'Yes';
                document.getElementById('ctl00_BodyContentPH_cbSpecialRights').disabled = false;
                document.getElementById('ctl00_BodyContentPH_cbSpecialRights').checked = false;
                return;
            }
            if (para == 'No') {
                document.getElementById('ctl00_BodyContentPH_cbSpecialRights').checked = false;
                document.getElementById('ctl00_BodyContentPH_cbSpecialRights').disabled = false;
            }
        }
    </script>
    <div class="content-header">
        <h1 style="background-image: url(../dist/img/user-group-Icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderAddGroups" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="exda-table">
            <h6>
                <span><span style="color: Red">|</span><asp:Label ID="lbl_IndicatesMandatoryFields" runat="server"></asp:Label> (1 No.)</h6>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="panel-heading" style="display: none">
                    <div class="row">
                        <div class="col-md-12" style="color: Red">
                            *
                            
                        </div>
                        <asp:RequiredFieldValidator ID="Req_LeaveType" runat="server" ControlToValidate="txt_groupName"
                            ErrorMessage="Enter Group Name" SetFocusOnError="True" Display="None" ValidationGroup="UserGroup">*</asp:RequiredFieldValidator>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-3">
                        <asp:Label ID="lbl_GroupName" runat="server"></asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:TextBox onpaste="return true" ID="txt_groupName" runat="server" CssClass="form-control mandatory"
                            MaxLength="40" onkeypress="return acceptCharsNumAmpUnder_MaxLength(event,this,40,MaxLength);"></asp:TextBox>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-3">
                        <asp:Label ID="lblIndividualUser" runat="server" Text="Individual Users"></asp:Label>
                    </div>
                    <div class="col-md-3">
                        <asp:RadioButtonList ID="rbtnIndUsers" CssClass="radio radio-primary" AutoPostBack="true"
                            OnSelectedIndexChanged="rbtnIndUsers_OnSelectedIndexChanged" runat="server" RepeatDirection="Horizontal">
                            <asp:ListItem Value="Yes" Text="Yes"></asp:ListItem>
                            <asp:ListItem Value="No" Text="No" Selected="true"></asp:ListItem>
                        </asp:RadioButtonList>
                    </div>
                </div>
                <div class="form-group" id="divReportsBasedOn" runat="server">
                    <div class="col-md-3">
                        <asp:Label ID="lblReportsBasedOn" runat="server" Text="Reports Based On"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:RadioButtonList ID="rblReportsBasedOn" CssClass="radio radio-primary" runat="server"
                            RepeatDirection="Horizontal">
                            <asp:ListItem Text="Level Rights"></asp:ListItem>
                            <asp:ListItem Selected="True" Text="Reporting To Mapping"></asp:ListItem>
                        </asp:RadioButtonList>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-3">
                        <asp:Label ID="lblSpecialRights" runat="server" Text="Special Rights"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:CheckBox ID="cbSpecialRights" runat="server" CssClass="checkbox checkbox-primary" />
                        <%--<span style="font-size: 9pt">
                                <asp:Label ID="lblEntryForPastDays"  runat="server" Text="(Entry for Past Days - Leave,Permission,Shift Allocation,Temporary Shift Allocation)"></asp:Label>
                            </span>--%>
                    </div>
                </div>

                <div class="form-group" id="divAllowLeavePastEntry" runat="server">
                    <div class="col-md-3">
                        <%--  <asp:Label ID="lblAllowLeavePastEntry" runat="server" Text="Allow Leave Approval for past days"></asp:Label>--%>
                    </div>
                    <div class="col-md-9">
                        <asp:CheckBox ID="cbAllowLeaveApprovalPastEntry" runat="server" CssClass="checkbox checkbox-primary" />
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-3">
                    </div>
                    <div class="col-md-3">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_save" CssClass="btn save-btn fa-floppy-o" runat="server"
                                OnClick="btn_save_Click" ValidationGroup="UserGroup" />
                            <asp:LinkButton ID="btn_cancel" CssClass="btn save-btn fa-angle-left" runat="server"
                                OnClick="btn_cancel_Click" CausesValidation="False" />
                            <asp:ValidationSummary ID="Val_Leave" runat="server" ShowSummary="false" ShowMessageBox="True" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            var MaxLength = "Maximum length is ";
            var SureToDelete = "Are you Sure to Delete?";
            function MaxLengthh(maxLength, sureToDelete) {
                MaxLength = maxLength;
                SureToDelete = sureToDelete;
            }
        </script>
    </div>
</asp:Content>
